CFB_EncryptionTemplate< BASE > Class Template Reference

Base class for feedback based stream ciphers in the forward direction with SymmetricCipher interface. More...

Inheritance diagram for CFB_EncryptionTemplate< BASE >:

## Additional Inherited Members

Public Types inherited from CFB_CipherTemplate< AbstractPolicyHolder< CFB_CipherAbstractPolicy, SymmetricCipher > >
typedef BASE::PolicyInterface | PolicyInterface
Public Types inherited from AbstractPolicyHolder< POLICY_INTERFACE, BASE >
typedef POLICY_INTERFACE | PolicyInterface
Public Member Functions inherited from CFB_CipherTemplate< AbstractPolicyHolder< CFB_CipherAbstractPolicy, SymmetricCipher > >
void | ProcessData (byte *outString, const byte *inString, size_t length)
| Apply keystream to data. More...
void | Resynchronize (const byte *iv, int length=-1)
| Resynchronize the cipher. More...
unsigned int | OptimalBlockSize () const
| Provides number of ideal bytes to process. More...
unsigned int | GetOptimalNextBlockSize () const
| Provides number of ideal bytes to process. More...
unsigned int | OptimalDataAlignment () const
| Provides number of ideal data alignment. More...
bool | IsRandomAccess () const
| Flag indicating random access. More...
bool | IsSelfInverting () const
| Determines if the cipher is self inverting. More...
std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm. More...

## Detailed Description

### template<class BASE = AbstractPolicyHolder<CFB_CipherAbstractPolicy, SymmetricCipher>>
class CFB_EncryptionTemplate< BASE >

Base class for feedback based stream ciphers in the forward direction with SymmetricCipher interface.

Template Parameters

  BASE | AbstractPolicyHolder base class

Definition at line 645 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h